Package com.xebialabs.xlrelease.domain

# Enum Class FailureReasons

java.lang.Object
java.lang.Enum<FailureReasons>
com.xebialabs.xlrelease.domain.FailureReasons

All Implemented Interfaces:
  `Serializable`, `Comparable<FailureReasons>`, `Constable`

public enum FailureReasons extends Enum<FailureReasons>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT_SCRIPT_TASK_ABORTED`
  `CREATE_RELEASE_TASK_ABORTED`
  `CREATE_RELEASE_TASK_FAILED`
  `DEPLOYMENT_TASK_FAILED`
  `GATE_TASK_DEPENDS_ON_AN_ABORTED_RELEASE`
  `GATE_TASK_FAILED`
  `GATE_TASK_FAILING`
  `NOTIFICATION_TASK_FAILED`
  `SCRIPT_TASK_ABORTED`
  `SCRIPT_TASK_FAILED`
  `UNRESOLVED_VARIABLES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format(Object... parameters)`
  `boolean`
  `matches(String failReason)`
  `static FailureReasons`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FailureReasons[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GATE_TASK_DEPENDS_ON_AN_ABORTED_RELEASE

    public static final FailureReasons GATE_TASK_DEPENDS_ON_AN_ABORTED_RELEASE

  - ### UNRESOLVED_VARIABLES

    public static final FailureReasons UNRESOLVED_VARIABLES

  - ### NOTIFICATION_TASK_FAILED

    public static final FailureReasons NOTIFICATION_TASK_FAILED

  - ### DEPLOYMENT_TASK_FAILED

    public static final FailureReasons DEPLOYMENT_TASK_FAILED

  - ### SCRIPT_TASK_FAILED

    public static final FailureReasons SCRIPT_TASK_FAILED

  - ### SCRIPT_TASK_ABORTED

    public static final FailureReasons SCRIPT_TASK_ABORTED

  - ### CREATE_RELEASE_TASK_ABORTED

    public static final FailureReasons CREATE_RELEASE_TASK_ABORTED

  - ### ABORT_SCRIPT_TASK_ABORTED

    public static final FailureReasons ABORT_SCRIPT_TASK_ABORTED

  - ### CREATE_RELEASE_TASK_FAILED

    public static final FailureReasons CREATE_RELEASE_TASK_FAILED

  - ### GATE_TASK_FAILED

    public static final FailureReasons GATE_TASK_FAILED

  - ### GATE_TASK_FAILING

    public static final FailureReasons GATE_TASK_FAILING

- ## Method Details

  - ### values

    public static FailureReasons[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FailureReasons valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### format

    public String format(Object... parameters)

  - ### matches

    public boolean matches(String failReason)